<?php
	require_once('mother_model.php');

	
/**
 * Traitement de la requête pour les images
 * @author Laura
 */

	class ImageModel extends Connect{

		/**
		* Fonction de récupération des images
        * @return array
        */

        public function findAllImage(int $intLimit=0):array{
			
			$strRq	= "SELECT image.* 
						FROM image";
			
			
			if ($intLimit > 0){
				$strRq  .= " LIMIT ".$intLimit;
			}

			return $this->_db->query($strRq)->fetchAll();
		}
    }